Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy
Class M_PlayerHandler.PlayerRun

    java.lang.Object
      de.farafin.snEADy.M_PlayerHandler.PlayerRun

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  M_PlayerHandler

    private class M_PlayerHandler.PlayerRun

extends java.lang.Object
implements java.lang.Runnable

realize the player handling TODO roland: make it more effective: dont need to make a new insrtance every time!!

Author:
  lars, roland

Field Summary
`boolean` | `calculationFinished` is set true after the player has finished his calculation
`Player` | `player` the player that should calculate its move
`M_PlayerHandler.PlayerInfo` | `playerInfo` the information the player needs for his moove
`boolean` | `threwException` if the player threw an exception, its noticed and the player is deleted
`java.lang.Throwable` | `thrownException` if the player threw an exception, it is stored here fore logging.

Constructor Summary
`M_PlayerHandler.PlayerRun(Player player, M_PlayerHandler.PlayerInfo playerInfo)` create Constructor

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### player

    public Player player

  the player that should calculate its move

### playerInfo

    public final M_PlayerHandler.PlayerInfo playerInfo

  the information the player needs for his moove

### calculationFinished

    public boolean calculationFinished

  is set true after the player has finished his calculation

### threwException

    public boolean threwException

  if the player threw an exception, its noticed and the player is deleted

### thrownException

    public java.lang.Throwable thrownException

  if the player threw an exception, it is stored here fore logging.

Constructor Detail

### M_PlayerHandler.PlayerRun

    public M_PlayerHandler.PlayerRun(Player player,
                                     M_PlayerHandler.PlayerInfo playerInfo)

  create Constructor

  Parameters:
    `player` -
    `playerInfo` -

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD